local WIT, core = ...

core.Data.Routes.Skinning = {}

core.Data.Routes.Skinning.LightLeather = {
    Name = "RouteLightLeather",
    MapId = core.Maps.Durotar,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9287.513568235428,
		["route"] = {
						39341538, -- [1]
						45351799, -- [2]
						46564023, -- [3]
						36074101, -- [4]
		},
	}
}

core.Data.Routes.Skinning.MediumLeather = {
    Name = "RouteMediumLeather",
    MapId = core.Maps.HillsbradFoothills,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 5620.812334913535,
		["route"] = {
						39203465, -- [1]
						47713382, -- [2]
						54092840, -- [3]
						57984077, -- [4]
						45824715, -- [5]
						36274991, -- [6]
		},
	}
}

core.Data.Routes.Skinning.HeavyLeather = {
    Name = "RouteHeavyLeather",
    MapId = core.Maps.StranglethornVale,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 11208.68972938988,
		["route"] = {
					31610899, -- [1]
						39741341, -- [2]
						37622554, -- [3]
						30002408, -- [4]
		},
	}
}

core.Data.Routes.Skinning.ThickLeather = {
    Name = "RouteThickLeather",
    MapId = core.Maps.TheHinterlands,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 6762.540057421114,
		["route"] = {
						77175009, -- [1]
						69266238, -- [2]
						60895072, -- [3]
						60184161, -- [4]
						67834276, -- [5]
		},
	}
}

core.Data.Routes.Skinning.RuggedLeather = {
    Name = "RouteRuggedLeather",
    MapId = core.Maps.UngoroCrater,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 6499.064705668072,
		["route"] = {
						30262741, -- [1]
						42013396, -- [2]
						39676366, -- [3]
						27476748, -- [4]
						23684947, -- [5]
		},
	}
}

core.Data.Routes.Skinning.GreenDragonScales = {
    Name = "RouteGreenDragonScales",
    MapId = core.Maps.SwampOfSorrows,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 4028.980214446312,
		["route"] = {
						67592422, -- [1]
						81052512, -- [2]
						85026009, -- [3]
						74037225, -- [4]
						57846205, -- [5]
						50875421, -- [6]
						52283539, -- [7]
		},
	}
}

core.Data.Routes.Skinning.RedWhelpScale = {
    Name = "RouteRedWhelpScale",
    MapId = core.Maps.Wetlands,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 7263.176234509173,
		["route"] = {
						53752432, -- [1]
						69264428, -- [2]
						64515658, -- [3]
						58694736, -- [4]
						55874052, -- [5]
						56803317, -- [6]
		},
	}
}

core.Data.Routes.Skinning.ScorpidScale = {
    Name = "RouteScorpidScale",
    MapId = core.Maps.BurningSteppes,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 5144.392860939094,
		["route"] = {
						74902805, -- [1]
						75513481, -- [2]
						73154710, -- [3]
						80466323, -- [4]
						87526035, -- [5]
						93156161, -- [6]
						92324689, -- [7]
						92943385, -- [8]
						87652756, -- [9]
		},
	}
}

core.Data.Routes.Skinning.DeviateScale = {
    Name = "RouteDeviateScale",
    MapId = core.Maps.TheBarrens,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 17799.93874845916,
		["route"] = {
						48003146, -- [1]
						50673641, -- [2]
						45213618, -- [3]
		},
	}
}

-- TBC

core.Data.Routes.Skinning.CobraScales = {
    Name = "RouteCobraScales",
    MapId = core.Maps.Nagrand,
    Data = {
		["color"] = {
			0, -- [1]
			0.3294117647058824, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9704.68391612647,
		["route"] = {
						16712954, -- [1]
						21363055, -- [2]
						20013874, -- [3]
		},
	}
}

core.Data.Routes.Skinning.FelHide = {
    Name = "RouteFelHide",
    MapId = core.Maps.Netherstorm,
    Data = {
		["color"] = {
			0, -- [1]
			0.3294117647058824, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9792.50916149346,
		["route"] = {
						38647116, -- [1]
						43157228, -- [2]
						39607706, -- [3]
						37137336, -- [4]
		},
	}
}


core.Data.Routes.Skinning.WindScales = {
    Name = "RouteWindScales",
    MapId = core.Maps.BladesEdge,
    Data = {
		["color"] = {
			0, -- [1]
			0.3294117647058824, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9529.033611068238,
		["route"] = {
						67805328, -- [1]
						69395933, -- [2]
						69087065, -- [3]
						67357728, -- [4]
						65227536, -- [5]
						67227017, -- [6]
						66806162, -- [7]
						65315607, -- [8]
		},
	}
}


core.Data.Routes.Skinning.NetherDragonScales = {
    Name = "RouteNetherDragonScales",
    MapId = core.Maps.BladesEdge,
    Data = {
		["color"] = {
			0, -- [1]
			0.3294117647058824, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9529.033611068238,
		["route"] = {
						65327947, -- [1]
						63737494, -- [2]
						59267610, -- [3]
						60807895, -- [4]
		},
	}
}


core.Data.Routes.Skinning.ThickClefthoofLeather = {
    Name = "RouteThickClefthoofLeather",
    MapId = core.Maps.Nagrand,
    Data = {
		["color"] = {
			0, -- [1]
			0.3294117647058824, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9704.68391612647,
		["route"] = {
						37075615, -- [1]
						41245309, -- [2]
						47815923, -- [3]
						51526345, -- [4]
						45537534, -- [5]
						40958252, -- [6]
						38078117, -- [7]
						42206770, -- [8]
						41246253, -- [9]
						34926141, -- [10]
		},
	}
}


core.Data.Routes.Skinning.KnothideLeather = {
    Name = "RouteKnothideLeather",
    MapId = core.Maps.HellfirePeninsula,
    Data = {
		["color"] = {
			0, -- [1]
			0.3294117647058824, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9072.310018770735,
		["route"] = {
						49926541, -- [1]
						53016951, -- [2]
						57807025, -- [3]
						53117605, -- [4]
						45057565, -- [5]
						44926758, -- [6]
		},
	}
}


core.Data.Routes.Skinning.FelScales = {
    Name = "RouteFelScales",
    MapId = core.Maps.HellfirePeninsula,
    Data = {
		["color"] = {
			0, -- [1]
			0.3294117647058824, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9072.310018770735,
		["route"] = {
						8194923, -- [1]
						13274322, -- [2]
						13925509, -- [3]
						10585737, -- [4]
		},
	}
}















